Page MenuHomeFreeBSD

www/node: Update 8.6.0 -> 8.8.0
ClosedPublic

Authored by bhughes on Oct 16 2017, 8:24 PM.
Tags
None
Referenced Files
F86370997: D12689.id34340.diff
Wed, Jun 19, 1:12 PM
Unknown Object (File)
Sun, Jun 16, 12:53 AM
Unknown Object (File)
Sat, Jun 15, 7:34 PM
Unknown Object (File)
Sat, Jun 15, 6:29 PM
Unknown Object (File)
Wed, May 29, 9:23 PM
Unknown Object (File)
May 6 2024, 6:17 PM
Unknown Object (File)
May 5 2024, 6:18 PM
Unknown Object (File)
May 1 2024, 4:02 PM
Subscribers
None

Details

Summary

www/node: Update 8.6.0 -> 8.8.0

Update to the latest upstream v8.x release to address a remote DoS
vulnerability.

https://nodejs.org/en/blog/vulnerability/oct-2017-dos/
https://nodejs.org/en/blog/release/v8.8.0/

Remove post-patch rules to replace various occurrences of 'python' with
PYTHON_CMD. Upstream has done a change to ensure that the "correct"
python version is called at build time, making our post-patch steps
unnecessary.

Re-roll patches with 'make makepatch'.

Approved by: robak (mentor)

Test Plan

$ pwd
/usr/ports/www/node
$ portlint -C
WARN: Makefile: possible use of absolute pathname "/etc/make.conf".
WARN: Makefile: "IGNORE" has to appear earlier.
WARN: Makefile: "ONLY_FOR_ARCHS" has to appear earlier.
0 fatal errors and 3 warnings found.

http://35.176.84.170/data/latest-per-pkg/node/8.8.0/

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 12073
Build 12380: arc lint + arc unit

Event Timeline

Remove debugging output from files/patch-configure

Updating to 8.8.0 now that it's been released. It addresses a remote
DoS vulnerabiltiy.

bhughes retitled this revision from www/node: Update 8.6.0 -> 8.7.0 to www/node: Update 8.6.0 -> 8.8.0.Oct 25 2017, 6:59 AM
bhughes edited the summary of this revision. (Show Details)
bhughes edited the test plan for this revision. (Show Details)
This revision is now accepted and ready to land.Oct 25 2017, 9:28 AM
This revision was automatically updated to reflect the committed changes.